from Utils import Vector2D
from pyglet.gl import glTranslatef,glLoadIdentity
    
class Camera:
    def __init__(self, player, width, height):
        self.player = player
        self.width, self.height = width, height
        self.pos = Vector2D(0.0,0.0)
    def setView(self):
        glLoadIdentity()
        if self.player.pos.x > self.width/2 and self.player.pos.x < self.player.world.width - self.width/2:
            self.pos.x = (self.width/2 - self.player.pos.x)
            
        if self.player.pos.y > self.height/2 and self.player.pos.y < self.player.world.height - self.height/2:
            self.pos.y = (self.height/2 - self.player.pos.y)
        
        glTranslatef(self.pos.x,self.pos.y,0.0)

        
    
    
    
    