from MainMission import *

wave = 1

def start():
    pyglet.options['audio'] = ('directsound', 'openal', 'silent')
    pyglet.resource.path = ['data']
    pyglet.resource.reindex()
    
    window = pyglet.window.Window(800,600)
    
    world = World(window,4000,4000)
    
    mission = MainMission(world)
    
    
    def draw(delta):
        window.clear()
        mission.gui.startDrawing()
        mission.world.draw()
        mission.gui.endDrawing()
    
    def update(delta):
        mission.gui.update()
        mission.world.update(delta)
        mission.world.playSounds()
    
    
    pyglet.clock.schedule(draw)
    pyglet.clock.schedule(update)
    
    pyglet.app.run()
    
if __name__ == '__main__':
    start()
    