from Utils import *

class GameObject:
    def __init__(self, pos, vel, rot, life, mass, image):
        self.pos,self.vel = pos,vel
        self.rot = rot
        self.life = life
        self.mass = mass
        self.world = None
        stackless.tasklet(self.update)()
        
        self.image = pyglet.resource.image(image)
        centerImage(self.image)
        self.width,self.height = self.image.width,self.image.height
        self.sprite = pyglet.sprite.Sprite(self.image, pos.x, pos.y)
        
    def draw(self):
        pass
    
    def waitFunc(self,object,timePassed):
        pass
      
    def update(self):
        pass
    