import pyglet
from Vector2D import *
import greenstackless as stackless
import time
from random import randrange,uniform

def centerImage(image):
    image.anchor_x,image.anchor_y = image.width/2, image.height/2

def isCircleCollide(a,b):
    if Distance(a.pos,b.pos) < a.width/2 + b.width/2:
        return True
    return False 

def isRectangleCollide(a,b):
    return a.pos.x + (a.width/2) > b.pos.x - (b.width/2) and a.pos.x - (a.width/2) < b.pos.x + (b.width/2) and a.pos.y + (a.height/2) > b.pos.y - (b.height/2) and a.pos.y - (a.height/2) < b.pos.y + (b.height/2)

def Wait(object,seconds,func = None):
    startTime = time.time()
    while True:
        if time.time() < startTime + seconds:  
            if func:
                func(object,time.time() - startTime)    
            stackless.schedule()
        else:
            break 
        